/**************************************************************************
 * MP2Run: Reads a MiniPro2 program from StdIn, parses it, and executes it.
 * 
 * Dependencies: MiniPro2, StdIn
 *
 * Compilation: 
 * % javac-introcs MP2Run
 * 
 * Examples:
 * % java-introcs MP2Run < math.txt
 * 51
 * 
 * % java-introcs MP2Run < absL.txt
 * 10
 *
 * % java-introcs MP2Run < absR.txt
 * 126
 *
 * % java-introcs MP2Run < sum10.txt
 * 55
 *
 * % java-introcs MP2Run < gcf.txt
 * 2013
 * 1936
 * 77
 * 1859
 * ...
 * 11
 * (Note: gcf.txt is the gcf method from midterm 1.)
 ************************************************************************/

public class MP2Run {
    public static void main(String[] args) {
        // read all input into lines; handle Windows newlines & extra space
        String[] allLines = StdIn.readAll().trim().split("\\s*\\n");
        
        // two-dimensional array to hold program
        String[][] program = new String[allLines.length][];
        
        // break each line into tokens
        for (int i=0; i<allLines.length; i++) 
            program[i] = allLines[i].split(" ");
        
        // construct intepreter
        MiniPro2 mp2 = new MiniPro2(program);
        
        // execute the program
        while (!mp2.isDone()) {
            mp2.step();
        }
    }
}
