/**************************************************************************
 * MPRun: Reads a MiniPro program from StdIn, parses it, and executes it.
 * 
 * Dependencies: MiniPro, StdIn
 *
 * Compilation: 
 * % javac-introcs MPRun
 * 
 * Examples:
 * % java-introcs MPRun < sample.txt
 * 39
 * 13
 * 
 * % java-introcs MPRun < swap.txt
 * 1936
 * 2013
 ************************************************************************/

public class MPRun {
    public static void main(String[] args) {
        // read all input into lines; handle Windows newlines & extra space
        String[] allLines = StdIn.readAll().trim().split("\\s*\\n");
        
        // two-dimensional array to hold program
        String[][] program = new String[allLines.length][];
        
        // break each line into tokens
        for (int i=0; i<allLines.length; i++) 
            program[i] = allLines[i].split(" ");
        
        // construct intepreter
        MiniPro mp = new MiniPro(program);
        
        // execute the program
        while (!mp.isDone()) {
            mp.step();
        }
    }
}
